Bulletin d'alerte Debian

DSA-2087-1 cabextract -- Erreur de programmation

Date du rapport :
4 août 2010
Paquets concernés :
cabextract
Vulnérabilité :
Oui
Références dans la base de données de sécurité :
Dans le dictionnaire CVE du Mitre : CVE-2010-2801.
Plus de précisions :

On a découvert qu'une erreur de programmation dans le mode d'essai d'archive de cabextract, un programme d'extraction de fichiers « Microsoft Cabinet », pourrait conduire à l'exécution de code arbitraire.

Pour la distribution stable (Lenny), ce problème a été corrigé dans la version 1.2-3+lenny1.

Pour la distribution unstable (Sid), ce problème sera corrigé prochainement.

Nous vous recommandons de mettre à jour votre paquet cabextract.

Corrigé dans :

Debian GNU/Linux 5.0 (lenny)

Source :
http://security.debian.org/pool/updates/main/c/cabextract/cabextract_1.2-3+lenny1.diff.gz
http://security.debian.org/pool/updates/main/c/cabextract/cabextract_1.2.orig.tar.gz
http://security.debian.org/pool/updates/main/c/cabextract/cabextract_1.2-3+lenny1.dsc
Alpha:
http://security.debian.org/pool/updates/main/c/cabextract/cabextract_1.2-3+lenny1_alpha.deb
AMD64:
http://security.debian.org/pool/updates/main/c/cabextract/cabextract_1.2-3+lenny1_amd64.deb
ARM:
http://security.debian.org/pool/updates/main/c/cabextract/cabextract_1.2-3+lenny1_arm.deb
ARM EABI:
http://security.debian.org/pool/updates/main/c/cabextract/cabextract_1.2-3+lenny1_armel.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/c/cabextract/cabextract_1.2-3+lenny1_i386.deb
Intel IA-64:
http://security.debian.org/pool/updates/main/c/cabextract/cabextract_1.2-3+lenny1_ia64.deb
Big-endian MIPS:
http://security.debian.org/pool/updates/main/c/cabextract/cabextract_1.2-3+lenny1_mips.deb
Little-endian MIPS:
http://security.debian.org/pool/updates/main/c/cabextract/cabextract_1.2-3+lenny1_mipsel.deb
PowerPC:
http://security.debian.org/pool/updates/main/c/cabextract/cabextract_1.2-3+lenny1_powerpc.deb
IBM S/390:
http://security.debian.org/pool/updates/main/c/cabextract/cabextract_1.2-3+lenny1_s390.deb
Sun Sparc:
http://security.debian.org/pool/updates/main/c/cabextract/cabextract_1.2-3+lenny1_sparc.deb

Les sommes MD5 des fichiers indiqués sont disponibles sur la page originale de l'alerte de sécurité.